# Uses of Interface
org.eclipse.equinox.p2.metadata.IVersionFormat

Packages that use IVersionFormat
Package
Description
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.

## Uses of IVersionFormat in org.eclipse.equinox.p2.metadata

Methods in org.eclipse.equinox.p2.metadata that return IVersionFormat
Modifier and Type
Method
Description
`static IVersionFormat`
Version.`compile(String format)`
Compile a version format string into a compiled format..
`abstract IVersionFormat`
Version.`getFormat()`
Returns the optional format.
`IVersionFormat`
VersionRange.`getFormat()`
Returns the version format.